Subject: Re: bug#66288: 29.1; Performance regression using pipe for subprocess

From: Chris Hanson <[email-masked]>
Date: Tue, 3 Oct 2023 20:33:29 -0400

I applied patch 0002* as you suggested, and that did the trick!

It's now very fast again, and measures the same as 28.2.

Thanks!

*0002-Remember-the-value-of-read_process_output_max-when-a.patch

On 10/3/23 17:26, Dmitry Gutov wrote:
> On 03/10/2023 23:58, Gregory Heytings wrote:
>>
>>>
>>> The usual suspect -- long-line optimizations --
>>>
>>
>> "Usual suspect"???
>>
>> The culprit here is a947c10d90.
> 
> If it is indeed the problem change (though I wonder about the exact 
> mechanics for the slowdown this noticeable), then instead of outright 
> reverting it, I suggest trying out patch 0002 from this set:
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66020#61